namespace MileageTraker.Web.ViewModels.FuelLog
{
	public class FuelLogQueryViewModel : DateQueryViewModel
	{
		public bool Unmatched { get; set; }

		public string TagNumber { get; set; }

		public override string ToString()
		{
			if (string.IsNullOrEmpty(TagNumber))
				return base.ToString();
			return base.ToString() + "_" + TagNumber.Replace(' ', '-');
		}

		public override bool HasParameters()
		{
			return base.HasParameters() || !string.IsNullOrEmpty(TagNumber);
		}
	}
}